<!-- Based on fast/repaint/align-items-change.html -->
<!DOCTYPE HTML>
<script src="resources/paint-invalidation-test.js"></script>
<script>
window.expectedPaintInvalidationObjects = [
    "LayoutBlockFlow DIV",
    "LayoutBlockFlow DIV class='item'",
    "LayoutBlockFlow DIV",
    "LayoutBlockFlow DIV class='item'",
    "LayoutFlexibleBox DIV id='container'",
    "LayoutFlexibleBox DIV id='container'",
    "LayoutBlockFlow DIV class='item'",
    "LayoutBlockFlow DIV",
    "LayoutBlockFlow DIV class='item'",
    "LayoutBlockFlow DIV",
];
function paintInvalidationTest() {
  document.getElementById('container').style.alignItems = 'stretch';
}
onload = runPaintInvalidationTest;
</script>
<style>
body {
  margin: 0;
}
#container {
  display: flex;
  align-items: flex-start;
  width: 200px;
  height: 300px;
  background-color: red;
}
.item {
  background-color: green;
  border: solid thin blue;
  width: 100px;
}
</style>
<p style="height: 20px">Tests invalidation on align-items style change. Passes if there is no red.</p>
<div id="container">
  <div class="item">
    <div style="height: 100px"></div>
  </div>
  <div class="item">
    <div style="height: 150px"></div>
  </div>
</div>
